UnicodeToAnsel (marc4j)
Keywords: org.marc4j.util.UnicodeToAnsel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.util
Class UnicodeToAnsel

    java.lang.Object
      org.marc4j.util.UnicodeToAnsel

All Implemented Interfaces:
  CharacterConverter

public class UnicodeToAnsel
extends Object
implements CharacterConverter

A utility to convert UCS/Unicode data to MARC-8.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters, Corey Keith

Field Summary
`protected ReverseCodeTable` | `rct`

Constructor Summary
`UnicodeToAnsel()`

Method Summary
`char[]` | `convert(char[] data)` Converts UCS/Unicode data to MARC-8.
`String` | `convert(String data)` Converts UCS/Unicode data to MARC-8.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rct

    protected ReverseCodeTable rct

Constructor Detail

### UnicodeToAnsel

    public UnicodeToAnsel()

Method Detail

### convert

    public String convert(String data)

  Converts UCS/Unicode data to MARC-8.

  A question mark (0x3F) is returned if there is no match.

  Specified by:
    `convert` in interface `CharacterConverter`
  Parameters:
    `data` - the UCS/Unicode data
  Returns:
    `String` - the MARC-8 data

### convert

    public char[] convert(char[] data)

  Converts UCS/Unicode data to MARC-8.

  A question mark (0x3F) is returned if there is no match.

  Specified by:
    `convert` in interface `CharacterConverter`
  Parameters:
    `data` - the UCS/Unicode data
  Returns:
    char[] - the MARC-8 data

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.